This is a Laravel 5 package that provides a_p_i management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `asoliman/a_p_i`.

    "asoliman/a_p_i": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Asoliman\API\Providers\APIServiceProvider::class,

```

And also add it to alias

```php
'API'  => Asoliman\API\Facades\API::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Asoliman\API\Providers\APIServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


